Loading...
Searching...
No Matches
casacore::FFTEnums Class Reference
scimath package (libcasa_scimath) » Mathematics_module

More...

`#include <FFTServer.h>`

## Public Types

enum | TransformType { COMPLEX , INVCOMPLEX , REALTOCOMPLEX , COMPLEXTOREAL , REALSYMMETRIC }

## Detailed Description

Lists the different types of FFT's that can be done

### Synopsis

This enumerator is brought out as a separate class because g++ currently cannot handle enumerators in a templated class. When it can this class will go away and this enumerator moved into the FFTServer class

Definition at line 45 of file FFTServer.h.

## Member Enumeration Documentation

## TransformType

enum casacore::FFTEnums::TransformType

Enumerator
COMPLEX | Forward Complex to Complex transforms.
INVCOMPLEX | Inverse Complex to Complex transforms.
REALTOCOMPLEX | Real to Complex or Complex to Real transforms.
COMPLEXTOREAL | Real to Complex or Complex to Real transforms.
REALSYMMETRIC | Real to Real transforms with symmetric Arrays (not used).

Definition at line 47 of file FFTServer.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/FFTServer.h